# os::loader - Rust
API documentation for the Rust `loader` mod in crate `os`.
Keywords: rust, rustlang, rust-lang, loader

# Module os::loader

source · [−]

## Structs

KernelStack
UserStack

## Statics

KERNEL_STACK
USER_STACK

## Functions

get_base_i

Get base address of app i.

get_num_app

Get the total number of applications.

init_app_cx

get app info with entry and sp and save `TrapContext` in kernel stack

load_apps

Load nth user app at [APP_BASE_ADDRESS + n * APP_SIZE_LIMIT, APP_BASE_ADDRESS + (n+1) * APP_SIZE_LIMIT).